# Profiling

### Response content

**dataNinja**

<table data-full-width="true"><thead><tr><th width="299">Attribute</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td><a href="#behaviouralprofiling"><code>behaviouralProfiling</code></a></td><td><code>object</code></td><td>Behavioural profiling result</td></tr></tbody></table>

#### behaviouralProfiling

<table><thead><tr><th width="301">Attribute</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td><a href="#clientprofile"><code>clientProfile</code></a></td><td><code>object</code></td><td>An object that contains various fields with information about the client's behavior and financial preferences.</td></tr><tr><td><a href="#skiptracing"><code>skipTracing</code></a></td><td><code>array of objects</code></td><td>An array of objects that contains information about transactions that have been flagged for further investigation.</td></tr><tr><td><a href="#geolocation"><code>geoLocation</code></a></td><td><code>array of objects</code></td><td>An array of objects that contains information about the geographic location of transactions.</td></tr><tr><td><code>subscriptions</code></td><td><code>object</code></td><td>An object that contains information about the client's subscriptions, such as the number of mobile phone plans.</td></tr><tr><td><a href="#incomeparties"><code>incomeParties</code></a></td><td><code>array of objects</code></td><td>An array of objects that contains information about parties from which the client receives income.</td></tr><tr><td><a href="#credit"><code>credit</code></a></td><td><code>object</code></td><td>An object that contains information about the client's credit history and loans.</td></tr><tr><td><a href="#incomeidentifications"><code>incomeIdentifications</code></a></td><td><code>object</code></td><td>An object that contains information about the client's incoming payments, such as the sum and frequency of payments.</td></tr></tbody></table>

#### **clientProfile**

| Attribute          | Type     | Description                                                     |
| ------------------ | -------- | --------------------------------------------------------------- |
| `fit`              | `bool`   | Indicates whether the client fits the target group              |
| `subscriptions`    | `int`    | Number of subscriptions the client has                          |
| `accomodationType` | `string` | Type of accommodation the client has                            |
| `insurance`        | `bool`   | Indicates whether the client has insurance                      |
| `car`              | `bool`   | Indicates whether the client owns a car                         |
| `kids`             | `bool`   | Indicates whether the client has kids                           |
| `goingAbroad`      | `bool`   | Indicates whether the client plans to go abroad                 |
| `isSaver`          | `bool`   | Indicates whether the client is a saver                         |
| `isGambler`        | `bool`   | Indicates whether the client is a gambler                       |
| `isBeingCollected` | `bool`   | Indicates whether the client is being collected                 |
| `isPartyMan`       | `bool`   | Indicates whether the client is a party man                     |
| `medicalExpenses`  | `bool`   | Indicates whether the client has medical expenses               |
| `whenSpendMoney`   | `string` | Indicates when the client spends money (e.g., end of the month) |

#### **skipTracing**

| Attribute         | Type     | Description                                   |
| ----------------- | -------- | --------------------------------------------- |
| `transactionDate` | `string` | Date of the transaction                       |
| `dataType`        | `string` | Type of the data being traced (e.g., address) |

#### **geoLocation**

| Attribute         | Type     | Description                                              |
| ----------------- | -------- | -------------------------------------------------------- |
| `transactionDate` | `string` | Date of the transaction                                  |
| `amount`          | `number` | Amount of money spent in the transaction                 |
| `currency`        | `string` | Currency in which the transaction was made               |
| `uid`             | `string` | Unique identifier for the transaction                    |
| `country`         | `string` | Country in which the transaction was made                |
| `city`            | `string` | City in which the transaction was made                   |
| `street`          | `string` | Street in which the transaction was made (if applicable) |

#### **incomeParties**

| Attribute         | Type     | Description                                     |
| ----------------- | -------- | ----------------------------------------------- |
| `transactionDate` | `string` | The date of the income transaction              |
| `amount`          | `number` | The amount of the income transaction            |
| `currency`        | `string` | The currency of the income transaction          |
| `uid`             | `string` | The unique identifier of the income transaction |

#### **credit**

<table><thead><tr><th width="252">Attribute</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td><code>bankLoanNotMortgage</code></td><td><code>string</code></td><td>The total amount of bank loan not mortgage</td></tr><tr><td><code>mortgage</code></td><td><code>string</code></td><td>The total amount of mortgage</td></tr><tr><td><code>nonBankingLoan</code></td><td><code>string</code></td><td>The total amount of non-banking loan</td></tr><tr><td><code>creditCard</code></td><td><code>string</code></td><td>The total amount of credit card</td></tr><tr><td><code>creditLists.applications</code></td><td><code>string</code></td><td>The list of credit applications</td></tr></tbody></table>

#### incomeIdentifications

| Attribute                                    | Type     | Description                                                  |
| -------------------------------------------- | -------- | ------------------------------------------------------------ |
| `reportCreationDate`                         | `string` | The date of the report creation                              |
| `lastPaymentDate`                            | `string` | The date of the last payment                                 |
| `firstPaymentDate`                           | `string` | The date of the first payment                                |
| `daysAgoLastPayment`                         | `number` | The number of days ago from the last payment                 |
| `numberOfIncomingPaymentsLast30Days`         | `number` | The number of incoming payments in the last 30 days          |
| `numberOfIncomingPayments30_60Days`          | `number` | The number of incoming payments between 30 and 60 days       |
| `numberOfIncomingPayments60_90Days`          | `number` | The number of incoming payments between 60 and 90 days       |
| `numberOfIncomingPayments90_120Days`         | `number` | The number of incoming payments between 90 and 120 days      |
| `numberOfIncomingPaymentsThisMonth`          | `number` | The number of incoming payments in this month                |
| `numberOfIncomingPaymentsThisMonth_1`        | `number` | The number of incoming payments in this month - 1            |
| `numberOfIncomingPaymentsThisMonth_2`        | `number` | The number of incoming payments in this month - 2            |
| `numberOfIncomingPaymentsThisMonth_3`        | `number` | The number of incoming payments in this month - 3            |
| `sumOfIncomingPaymentsLast30Days`            | `number` | The sum of incoming payments in the last 30 days             |
| `sumOfIncomingPaymentsLast30_60Days`         | `number` | The sum of incoming payments between 30 and 60 days          |
| `sumOfIncomingPaymentsLast60_90Days`         | `number` | The sum of incoming payments between 60 and 90 days          |
| `sumOfIncomingPaymentsLast90_120Days`        | `number` | The sum of incoming payments between 90 and 120 days         |
| `sumOfIncomingPaymentsThisMonth`             | `number` | The sum of incoming payments in this month                   |
| `sumOfIncomingPaymentsThisMonth_1`           | `number` | The sum of incoming payments in this month - 1               |
| `sumOfIncomingPaymentsThisMonth_2`           | `number` | The sum of incoming payments in this month - 2               |
| `sumOfIncomingPaymentsThisMonth_3`           | `number` | The sum of incoming payments in this month - 3               |
| `averageSumOfIncomingPaymentsLast30Days`     | `number` | The average sum of incoming payments in the last 30 days     |
| `averageSumOfIncomingPaymentsLast30_60Days`  | `number` | The average sum of incoming payments between 30 and 60 days  |
| `averageSumOfIncomingPaymentsLast60_90Days`  | `number` | The average sum of incoming payments between 60 and 90 days  |
| `averageSumOfIncomingPaymentsLast90_120Days` | `number` | The average sum of incoming payments between 90 and 120 days |

#### Example response

```json
{
    "dataNinja":{
        "behaviouralProfiling":{
            "clientProfile":{
                "fit":false,
                "subscriptions":0,
                "accomodationType":"rented_flat",
                "insurance":false,
                "car":false,
                "kids":false,
                "goingAbroad":false,
                "isSaver":false,
                "isGambler":false,
                "isBeingCollected":false,
                "isPartyMan":false,
                "medicalExpenses":false,
                "whenSpendMoney":"end of month"
            },
            "skipTracing":[
                {
                    "transactionDate":"0001-01-01",
                    "dataType":"account_data_address"
                }
            ],
            "geoLocation":[
                {
                    "transactionDate":"2020-01-01",
                    "amount":10.23,
                    "currency":"PLN",
                    "uid":"f8b1b059-c0de-4e3f-a75a-307be7e0df7d",
                    "country":"POLAND",
                    "city":"RZESZÓW",
                    "street":"TARGOWA 1"
                }
            ],
            "subscriptions":{
                "subscription":"2",
                "mobilePhoneSubscription":"0"
            },
            "incomeParties":[
                {
                    "transactionDate":"2022-05-28",
                    "amount":1439.0,
                    "currency":"PLN",
                    "uid":"f8b1b059-c0de-4e3f-a75a-307be7e0df7d"
                }
            ],
            "credit":{
                "bankLoanNotMortgage":"0",
                "mortgage":"0",
                "nonBankingLoan":"0",
                "creditCard":"0",
                "creditLists":{
                    "applications":null
                }
            },
            "incomeIdentifications":{
                "reportCreationDate":"2022-08-01",
                "lastPaymentDate":"2022-07-12",
                "firstPaymentDate":"2022-05-13",
                "daysAgoLastPayment":20.0,
                "numberOfIncomingPaymentsLast30Days":4,
                "numberOfIncomingPayments30_60Days":2,
                "numberOfIncomingPayments60_90Days":8,
                "numberOfIncomingPayments90_120Days":0,
                "numberOfIncomingPaymentsThisMonth":0,
                "numberOfIncomingPaymentsThisMonth_1":4,
                "numberOfIncomingPaymentsThisMonth_2":3,
                "numberOfIncomingPaymentsThisMonth_3":7,
                "sumOfIncomingPaymentsLast30Days":14900.0,
                "sumOfIncomingPaymentsLast30_60Days":2878.0,
                "sumOfIncomingPaymentsLast60_90Days":36936.0,
                "sumOfIncomingPaymentsLast90_120Days":0.0,
                "sumOfIncomingPaymentsThisMonth":0.0,
                "sumOfIncomingPaymentsThisMonth_1":14900.0,
                "sumOfIncomingPaymentsThisMonth_2":4317.0,
                "sumOfIncomingPaymentsThisMonth_3":35497.0,
                "averageSumOfIncomingPaymentsLast30Days":3725.0,
                "averageSumOfIncomingPaymentsLast30_60Days":1439.0,
                "averageSumOfIncomingPaymentsLast60_90Days":4617.0,
                "averageSumOfIncomingPaymentsLast90_120Days":0.0,
                "averageSumOfIncomingPaymentsThisMonth":0.0,
                "averageSumOfIncomingPaymentsThisMonth_1":3725.0,
                "averageSumOfIncomingPaymentsThisMonth_2":1439.0,
                "averageSumOfIncomingPaymentsThisMonth_3":5071.0
            }
        }
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.transactionlink.io/docs/v1/integrations/data-ninja/profiling.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
